Skip to main content
GET
/
add_ons
/
{code}
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/add_ons/:code" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
    client.add_ons.find('code')
except LagoApiError as e:
    repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.add_ons.get('code')
await client.addOns.findAddOn("code");
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

addOn, err := lagoClient.AddOn().Get("__YOUR_ADDON_CODE__")
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// addOn is *lago.AddOn
fmt.Println(addOn)
}
{
  "add_on": {
    "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
    "name": "Setup Fee",
    "invoice_display_name": "Setup Fee (SF1)",
    "code": "setup_fee",
    "amount_cents": 50000,
    "amount_currency": "USD",
    "description": "Implementation fee for new customers.",
    "created_at": "2022-04-29T08:59:51Z",
    "taxes": [
      {
        "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
        "name": "TVA",
        "code": "french_standard_vat",
        "rate": 20,
        "applied_to_organization": true,
        "created_at": "2023-07-06T14:35:58Z",
        "description": "French standard VAT"
      }
    ]
  }
}
{
"status": 401,
"error": "Unauthorized"
}
{
"status": 403,
"error": "Forbidden",
"code": "feature_unavailable"
}
{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request GET "$LAGO_URL/api/v1/add_ons/:code" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
    client.add_ons.find('code')
except LagoApiError as e:
    repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.add_ons.get('code')
await client.addOns.findAddOn("code");
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

addOn, err := lagoClient.AddOn().Get("__YOUR_ADDON_CODE__")
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// addOn is *lago.AddOn
fmt.Println(addOn)
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

Unique code used to identify the add-on.

Example:

"setup_fee"

Response

Add-on

add_on
object
required